{
  "cells": [
    {
      "cell_type": "markdown",
      "id": "VG9PY05cFJ_R",
      "metadata": {
        "id": "VG9PY05cFJ_R"
      },
      "source": [
        "# DSA 2024 S1 Assignment\n",
        "\n",
        "Member number: XXXXXX\n",
        "\n",
        "## Purpose:\n",
        "*Provide a **clear** and **concise** statement of the purpose of this notebook.*\n",
        "\n",
        "*NB: In this notebook template, text and code cells have been created for:\n",
        "- 'step 1'; and\n",
        "- 'step 2/3/4 etc.'\n",
        "\n",
        "You should replicate this structure for each individual step you undertake under each of the question headings. *\n"
      ]
    },
    {
      "cell_type": "markdown",
      "id": "XtZXmepZWbBz",
      "metadata": {
        "id": "XtZXmepZWbBz"
      },
      "source": [
        "## Packages\n",
        "This section imports the packages that are used in this notebook."
      ]
    },
    {
      "cell_type": "code",
      "execution_count": null,
      "id": "KQVVeMMzHYK2",
      "metadata": {
        "id": "KQVVeMMzHYK2"
      },
      "outputs": [],
      "source": [
        "# Package 1\n",
        "\n",
        "# Package 2/3/4 etc.\n"
      ]
    },
    {
      "cell_type": "markdown",
      "source": [
        "## Functions\n",
        "This section sets out user defined functions that are used in this notebook.\n",
        "\n",
        "If you prefer, you may instead choose to define these under the relevant assignment question section below."
      ],
      "metadata": {
        "id": "xoME0nrg1r9X"
      },
      "id": "xoME0nrg1r9X"
    },
    {
      "cell_type": "code",
      "execution_count": null,
      "id": "bdb58870-1f66-4302-b7d5-1576d58e3dbf",
      "metadata": {
        "id": "bdb58870-1f66-4302-b7d5-1576d58e3dbf"
      },
      "outputs": [],
      "source": [
        "# Function 1\n",
        "\n",
        "# Function 2/3/4 etc.\n"
      ]
    },
    {
      "cell_type": "markdown",
      "id": "1LOeKQASWwat",
      "metadata": {
        "id": "1LOeKQASWwat"
      },
      "source": [
        "## Import data\n",
        "This section imports the data that is used in this notebook.\n",
        "\n",
        "*You should include a reference to the dataset you have used here.*"
      ]
    },
    {
      "cell_type": "code",
      "execution_count": null,
      "id": "PIuA9lJII86e",
      "metadata": {
        "id": "PIuA9lJII86e"
      },
      "outputs": [],
      "source": [
        "# Code for importing data"
      ]
    },
    {
      "cell_type": "markdown",
      "source": [
        "## Q1 - Prepare the data"
      ],
      "metadata": {
        "id": "5jbUFlfRUCmH"
      },
      "id": "5jbUFlfRUCmH"
    },
    {
      "cell_type": "markdown",
      "id": "7640511f-7f89-41bf-99b8-fd27f1ff4048",
      "metadata": {
        "id": "7640511f-7f89-41bf-99b8-fd27f1ff4048"
      },
      "source": [
        "### Q1a - Examine the dataset\n",
        "#### Purpose:\n",
        "*Provide a ****clear**** and ****concise**** statement of the purpose of this section.*\n",
        "\n",
        "#### References:\n",
        "*Outline any references you have used in this section of your notebook here.*"
      ]
    },
    {
      "cell_type": "markdown",
      "source": [
        "#### Q1a Step 1\n",
        "**Outline**\n",
        "\n",
        "*Provide a ****clear**** and ****concise**** outline here about the EDA that you have conducted in the section below. This should include what you are doing and why.*"
      ],
      "metadata": {
        "id": "ze6Gv4kr2yom"
      },
      "id": "ze6Gv4kr2yom"
    },
    {
      "cell_type": "code",
      "execution_count": null,
      "id": "ff1278c5-cb17-4542-ab1c-631366898f27",
      "metadata": {
        "id": "ff1278c5-cb17-4542-ab1c-631366898f27"
      },
      "outputs": [],
      "source": [
        "# Q1a Step 1"
      ]
    },
    {
      "cell_type": "markdown",
      "id": "00c8c00a-c189-4ce0-887e-d413ce6894b0",
      "metadata": {
        "id": "00c8c00a-c189-4ce0-887e-d413ce6894b0"
      },
      "source": [
        "**Summary**  \n",
        "*Provide a **clear** and **concise** summary here of your conclusions based on the EDA conducted above.*"
      ]
    },
    {
      "cell_type": "markdown",
      "source": [
        "#### Q1a Step 2/3/4 etc.\n",
        "**Outline**\n",
        "\n",
        "*Provide a **clear** and **concise** outline here about the EDA that you have conducted in the section below. This should include what you are doing and why.*"
      ],
      "metadata": {
        "id": "pu3zYh523in1"
      },
      "id": "pu3zYh523in1"
    },
    {
      "cell_type": "code",
      "source": [
        "# Q1a Step 2/3/4 etc."
      ],
      "metadata": {
        "id": "KGEFavpK3k1X"
      },
      "id": "KGEFavpK3k1X",
      "execution_count": null,
      "outputs": []
    },
    {
      "cell_type": "markdown",
      "source": [
        "**Summary**  \n",
        "*Provide a **clear** and **concise** summary here of your conclusions based on the EDA conducted above.*"
      ],
      "metadata": {
        "id": "ySLmm_pI3n7W"
      },
      "id": "ySLmm_pI3n7W"
    },
    {
      "cell_type": "markdown",
      "source": [
        "**Overall summary**  \n",
        "*Provide a **clear** and **concise** overall summary here of your conclusions from this section of the notebook.*"
      ],
      "metadata": {
        "id": "2klLMrpl-r5U"
      },
      "id": "2klLMrpl-r5U"
    },
    {
      "cell_type": "markdown",
      "metadata": {
        "id": "yNelfxy5UQLm"
      },
      "source": [
        "### Q1b - Clean the data\n",
        "#### Purpose:\n",
        "*Provide a **clear** and **concise** statement of the purpose of this section.*\n",
        "\n",
        "*NB: If you choose to undertake some of the data cleaning in Question 1a, you should list these steps here so that markers of Question 1b are aware of all the cleaning steps you have undertaken. Also note that cleaning of ‘label_ChatGPT’ should be done in Question 1d.*\n",
        "\n",
        "#### References:\n",
        "*Outline any references you have used in this section of your notebook here.*"
      ],
      "id": "yNelfxy5UQLm"
    },
    {
      "cell_type": "markdown",
      "source": [
        "#### Q1b Step 1\n",
        "**Outline**\n",
        "\n",
        "*Provide a **clear** and **concise** outline here about the cleaning step that you have conducted in the section below. This should include what you are doing and why.*"
      ],
      "metadata": {
        "id": "DYZlTpdBUQLz"
      },
      "id": "DYZlTpdBUQLz"
    },
    {
      "cell_type": "code",
      "execution_count": null,
      "metadata": {
        "id": "yd0tA8O7UQLz"
      },
      "outputs": [],
      "source": [
        "# Q1b Step 1"
      ],
      "id": "yd0tA8O7UQLz"
    },
    {
      "cell_type": "markdown",
      "metadata": {
        "id": "bXWecP1jUQL0"
      },
      "source": [
        "**Summary**  \n",
        "*Provide a **clear** and **concise** summary here of your conclusions based on the cleaning step conducted above.*"
      ],
      "id": "bXWecP1jUQL0"
    },
    {
      "cell_type": "markdown",
      "source": [
        "#### Q1b Step 2/3/4 etc.\n",
        "**Outline**\n",
        "\n",
        "*Provide a **clear** and **concise** outline here about the cleaning step that you have conducted in the section below. This should include what you are doing and why.*"
      ],
      "metadata": {
        "id": "VieMKzn9UQL0"
      },
      "id": "VieMKzn9UQL0"
    },
    {
      "cell_type": "code",
      "source": [
        "# Q1b Step 2/3/4 etc."
      ],
      "metadata": {
        "id": "82SLu3ngUQL1"
      },
      "execution_count": null,
      "outputs": [],
      "id": "82SLu3ngUQL1"
    },
    {
      "cell_type": "markdown",
      "source": [
        "**Summary**  \n",
        "*Provide a **clear** and **concise** summary here of your conclusions based on the cleaning step conducted above.*"
      ],
      "metadata": {
        "id": "O7rr7JAcUQL1"
      },
      "id": "O7rr7JAcUQL1"
    },
    {
      "cell_type": "markdown",
      "source": [
        "**Overall summary**  \n",
        "*Provide a **clear** and **concise** overall summary here of your conclusions from this section of the notebook.*"
      ],
      "metadata": {
        "id": "iFh43M0fUQL2"
      },
      "id": "iFh43M0fUQL2"
    },
    {
      "cell_type": "markdown",
      "metadata": {
        "id": "r2D2yMinUS_R"
      },
      "source": [
        "### Q1c - Vectorise 'Movie Quote'\n",
        "#### Purpose:\n",
        "*Provide a **clear** and **concise** statement of the purpose of this section.*\n",
        "\n",
        "#### References:\n",
        "*Outline any references you have used in this section of your notebook here.*"
      ],
      "id": "r2D2yMinUS_R"
    },
    {
      "cell_type": "markdown",
      "source": [
        "#### Q1c Step 1\n",
        "**Outline**\n",
        "\n",
        "*Provide a **clear** and **concise** outline here about the vectorisation that you have conducted in the section below. This should include what you are doing and why.*"
      ],
      "metadata": {
        "id": "_O-pIPbrUS_m"
      },
      "id": "_O-pIPbrUS_m"
    },
    {
      "cell_type": "code",
      "execution_count": null,
      "metadata": {
        "id": "GJlewrC0US_m"
      },
      "outputs": [],
      "source": [
        "# Q1c Step 1"
      ],
      "id": "GJlewrC0US_m"
    },
    {
      "cell_type": "markdown",
      "metadata": {
        "id": "1zFIED3AUS_n"
      },
      "source": [
        "**Summary**  \n",
        "*Provide a **clear** and **concise** summary here of your conclusions based on the vectorisation conducted above.*"
      ],
      "id": "1zFIED3AUS_n"
    },
    {
      "cell_type": "markdown",
      "source": [
        "#### Q1c Step 2/3/4 etc.\n",
        "**Outline**\n",
        "\n",
        "*Provide a **clear** and **concise** outline here about the vectorisation that you have conducted in the section below. This should include what you are doing and why.*"
      ],
      "metadata": {
        "id": "TkFVnz9PUS_n"
      },
      "id": "TkFVnz9PUS_n"
    },
    {
      "cell_type": "code",
      "source": [
        "# Q1c Step 2/3/4 etc."
      ],
      "metadata": {
        "id": "TcOAqESAUS_n"
      },
      "execution_count": null,
      "outputs": [],
      "id": "TcOAqESAUS_n"
    },
    {
      "cell_type": "markdown",
      "source": [
        "**Summary**  \n",
        "*Provide a **clear** and **concise** summary here of your conclusions based on the vectorisation conducted above.*"
      ],
      "metadata": {
        "id": "D5Y4y2mRUS_n"
      },
      "id": "D5Y4y2mRUS_n"
    },
    {
      "cell_type": "markdown",
      "source": [
        "**Overall summary**  \n",
        "*Provide a **clear** and **concise** overall summary here of your conclusions from this section of the notebook.*"
      ],
      "metadata": {
        "id": "QOXoCFrwUS_o"
      },
      "id": "QOXoCFrwUS_o"
    },
    {
      "cell_type": "markdown",
      "metadata": {
        "id": "nWIFmH_uVVm7"
      },
      "source": [
        "### Q1d - Construct response variable\n",
        "#### Purpose:\n",
        "*Provide a **clear** and **concise** statement of the purpose of this section.*\n",
        "\n",
        "#### References:\n",
        "*Outline any references you have used in this section of your notebook here.*"
      ],
      "id": "nWIFmH_uVVm7"
    },
    {
      "cell_type": "markdown",
      "source": [
        "#### Q1d Step 1\n",
        "**Outline**\n",
        "\n",
        "*Provide a **clear** and **concise** outline here about this step in creating a response variable. This should include what you are doing and why.*"
      ],
      "metadata": {
        "id": "uE2rbV2aVVnL"
      },
      "id": "uE2rbV2aVVnL"
    },
    {
      "cell_type": "code",
      "execution_count": null,
      "metadata": {
        "id": "0OWCOFKeVVnL"
      },
      "outputs": [],
      "source": [
        "# Q1d Step 1"
      ],
      "id": "0OWCOFKeVVnL"
    },
    {
      "cell_type": "markdown",
      "metadata": {
        "id": "5y4THKt0VVnM"
      },
      "source": [
        "**Summary**  \n",
        "*Provide a **clear** and **concise** summary here of your conclusions based on the step undertaken above.*"
      ],
      "id": "5y4THKt0VVnM"
    },
    {
      "cell_type": "markdown",
      "source": [
        "#### Q1d Step 2/3/4 etc.\n",
        "**Outline**\n",
        "\n",
        "*Provide a **clear** and **concise** outline here about this step in creating a response variable. This should include what you are doing and why.*"
      ],
      "metadata": {
        "id": "OZn08x1DVVnM"
      },
      "id": "OZn08x1DVVnM"
    },
    {
      "cell_type": "code",
      "source": [
        "# Q1d Step 2/3/4 etc."
      ],
      "metadata": {
        "id": "IAU6QzHTVVnM"
      },
      "execution_count": null,
      "outputs": [],
      "id": "IAU6QzHTVVnM"
    },
    {
      "cell_type": "markdown",
      "source": [
        "**Summary**  \n",
        "*Provide a **clear** and **concise** summary here of your conclusions based on the step undertaken above.*"
      ],
      "metadata": {
        "id": "kaQYUZuHVVnM"
      },
      "id": "kaQYUZuHVVnM"
    },
    {
      "cell_type": "markdown",
      "source": [
        "**Overall summary**  \n",
        "*Provide a **clear** and **concise** overall summary here of your conclusions from this section of the notebook.*"
      ],
      "metadata": {
        "id": "EAbluR7-VVnM"
      },
      "id": "EAbluR7-VVnM"
    },
    {
      "cell_type": "markdown",
      "id": "tXIkXc2hVZg1",
      "metadata": {
        "id": "tXIkXc2hVZg1"
      },
      "source": [
        "## Q2 - Explore characteristics of famous movie quotes"
      ]
    },
    {
      "cell_type": "markdown",
      "source": [
        "### Q2a - Clustering\n",
        "#### Purpose:\n",
        "*Provide a **clear** and **concise** statement of the purpose of this section.*\n",
        "\n",
        "#### References:\n",
        "*Outline any references you have used in this section of your notebook here.*"
      ],
      "metadata": {
        "id": "EKWXjyBPWBew"
      },
      "id": "EKWXjyBPWBew"
    },
    {
      "cell_type": "markdown",
      "id": "jSTLTiopzrh6",
      "metadata": {
        "id": "jSTLTiopzrh6"
      },
      "source": [
        "#### Q2a Step 1\n",
        "**Outline**\n",
        "\n",
        "*Provide a **clear** and **concise** outline here about the clustering step that you have undertaken in the section below. This should include what you are doing and why.*\n",
        "\n"
      ]
    },
    {
      "cell_type": "code",
      "execution_count": null,
      "id": "YAROP6CqaAuc",
      "metadata": {
        "id": "YAROP6CqaAuc"
      },
      "outputs": [],
      "source": [
        "# Q2a Step 1"
      ]
    },
    {
      "cell_type": "markdown",
      "source": [
        "**Summary**  \n",
        "*Provide a **clear** and **concise** summary here of your conclusions based on the output of the clustering step undertaken above. Is the output what was expected? If not, why not?*"
      ],
      "metadata": {
        "id": "vPKyRGij5A5a"
      },
      "id": "vPKyRGij5A5a"
    },
    {
      "cell_type": "markdown",
      "source": [
        "#### Q2a Step 2/3/4 etc.\n",
        "\n",
        "**Outline**\n",
        "\n",
        "*Provide a **clear** and **concise** outline here about the clustering step that you have undertaken in the section below. This should include what you are doing and why.*"
      ],
      "metadata": {
        "id": "L9VcdJJs8a5N"
      },
      "id": "L9VcdJJs8a5N"
    },
    {
      "cell_type": "code",
      "source": [
        "# Q2a Step 2/3/4 etc."
      ],
      "metadata": {
        "id": "OXkXP2fJ7SP5"
      },
      "id": "OXkXP2fJ7SP5",
      "execution_count": null,
      "outputs": []
    },
    {
      "cell_type": "markdown",
      "id": "CaURxppl1Oxo",
      "metadata": {
        "id": "CaURxppl1Oxo"
      },
      "source": [
        "**Summary**  \n",
        "*Provide a **clear** and **concise** summary here of your conclusions based on the output of the clustering step undertaken above. Is the output what was expected? If not, why not?*"
      ]
    },
    {
      "cell_type": "markdown",
      "source": [
        "**Overall summary**  \n",
        "*Provide a **clear** and **concise** overall summary here of your conclusions from this section of the notebook.*"
      ],
      "metadata": {
        "id": "CQVXkTpO_aJ-"
      },
      "id": "CQVXkTpO_aJ-"
    },
    {
      "cell_type": "markdown",
      "source": [
        "### Q2b - Summarise key characteristics\n",
        "#### Purpose:\n",
        "*Provide a **clear** and **concise** statement of the purpose of this section.*\n",
        "\n",
        "#### References:\n",
        "*Outline any references you have used in this section of your notebook here.*"
      ],
      "metadata": {
        "id": "nhSpAKNJWacv"
      },
      "id": "nhSpAKNJWacv"
    },
    {
      "cell_type": "markdown",
      "metadata": {
        "id": "i3Q84uz5Wac4"
      },
      "source": [
        "#### Q2b Step 1\n",
        "**Outline**\n",
        "\n",
        "*Provide a **clear** and **concise** outline here about the analysis that you have undertaken in the section below. This should include what you are doing and why.*\n",
        "\n"
      ],
      "id": "i3Q84uz5Wac4"
    },
    {
      "cell_type": "code",
      "execution_count": null,
      "metadata": {
        "id": "3fKumOWsWac4"
      },
      "outputs": [],
      "source": [
        "# Q2b Step 1"
      ],
      "id": "3fKumOWsWac4"
    },
    {
      "cell_type": "markdown",
      "source": [
        "**Summary**  \n",
        "*Provide a **clear** and **concise** summary here of your conclusions based on the output of the analysis undertaken above.*"
      ],
      "metadata": {
        "id": "cwuHjNF4Wac5"
      },
      "id": "cwuHjNF4Wac5"
    },
    {
      "cell_type": "markdown",
      "source": [
        "#### Q2b Step 2/3/4 etc.\n",
        "\n",
        "**Outline**\n",
        "\n",
        "*Provide a **clear** and **concise** outline here about the  analysis that you have undertaken in the section below. This should include what you are doing and why.*"
      ],
      "metadata": {
        "id": "-ykdFebzWkQQ"
      },
      "id": "-ykdFebzWkQQ"
    },
    {
      "cell_type": "code",
      "source": [
        "# Q2b Step 2/3/4 etc."
      ],
      "metadata": {
        "id": "1w5E6JLqWac5"
      },
      "execution_count": null,
      "outputs": [],
      "id": "1w5E6JLqWac5"
    },
    {
      "cell_type": "markdown",
      "metadata": {
        "id": "21p6U6mtWac5"
      },
      "source": [
        "**Summary**  \n",
        "*Provide a **clear** and **concise** summary here of your conclusions based on the output of the analysis undertaken above.*"
      ],
      "id": "21p6U6mtWac5"
    },
    {
      "cell_type": "markdown",
      "source": [
        "**Overall summary**  \n",
        "*Provide a **clear** and **concise** overall summary here of your conclusions from this section of the notebook.*"
      ],
      "metadata": {
        "id": "v8cg_KciWac5"
      },
      "id": "v8cg_KciWac5"
    },
    {
      "cell_type": "markdown",
      "source": [
        "### Q2c - Suggest ways the company can use your findings\n",
        "#### Answer:\n",
        "*Answer Q2c in this text cell (remember the 500-word limit).*"
      ],
      "metadata": {
        "id": "LZptfNoUWtrT"
      },
      "id": "LZptfNoUWtrT"
    },
    {
      "cell_type": "markdown",
      "source": [
        "## Q3 - Identify quotes that may be problematic"
      ],
      "metadata": {
        "id": "mZv4K4RKYg7A"
      },
      "id": "mZv4K4RKYg7A"
    },
    {
      "cell_type": "markdown",
      "source": [
        "### Q3a - Suggest strategies to address class imbalance\n",
        "#### Answer:\n",
        "*Answer Q3a in this text cell.*"
      ],
      "metadata": {
        "id": "ti6ZT0-SXyCX"
      },
      "id": "ti6ZT0-SXyCX"
    },
    {
      "cell_type": "markdown",
      "metadata": {
        "id": "4GQUmODCmr6X"
      },
      "source": [
        "### Q3b - Construct a neural network classifier\n",
        "#### Purpose:\n",
        "*Provide a **clear** and **concise** statement of the purpose of this section.*\n",
        "\n",
        "#### References:\n",
        "*Outline any references you have used in this section of your notebook here.*"
      ],
      "id": "4GQUmODCmr6X"
    },
    {
      "cell_type": "markdown",
      "metadata": {
        "id": "-JnY2X8wmr6g"
      },
      "source": [
        "#### Q3b Step 1\n",
        "**Outline**\n",
        "\n",
        "*Provide a **clear** and **concise** outline here about the model building step that you have undertaken in the section below. This should include what you are doing and why.*"
      ],
      "id": "-JnY2X8wmr6g"
    },
    {
      "cell_type": "code",
      "execution_count": null,
      "metadata": {
        "id": "LOzXOFRImr6g"
      },
      "outputs": [],
      "source": [
        "# Q3b Step 1"
      ],
      "id": "LOzXOFRImr6g"
    },
    {
      "cell_type": "markdown",
      "metadata": {
        "id": "AdRjzV1rmr6h"
      },
      "source": [
        "**Summary**  \n",
        "*Provide a **clear** and **concise** summary here of your conclusions based on the output of the model building step undertaken above. Is the output what was expected? If not, why not?*\n",
        "\n",
        "*If this step involved running a new iteration of the model, you should **clearly** and **concisely** outline what the iteration hoped to fix, what changes were made to the model, and whether the iteration fixed the problem.*\n"
      ],
      "id": "AdRjzV1rmr6h"
    },
    {
      "cell_type": "markdown",
      "metadata": {
        "id": "G4jH4l6emr6i"
      },
      "source": [
        "#### Q3b Step 2/3/4 etc.\n",
        "**Outline**\n",
        "\n",
        "*Provide a **clear** and **concise** outline here about the model building step that you have undertaken in the section below. This should include what you are doing and why.*"
      ],
      "id": "G4jH4l6emr6i"
    },
    {
      "cell_type": "code",
      "execution_count": null,
      "metadata": {
        "id": "CSxNzN8umr6j"
      },
      "outputs": [],
      "source": [
        "# Q3b Step 2/3/4 etc.\n"
      ],
      "id": "CSxNzN8umr6j"
    },
    {
      "cell_type": "markdown",
      "metadata": {
        "id": "tZjbZfFGmr6j"
      },
      "source": [
        "**Summary**  \n",
        "*Provide a **clear** and **concise** summary here of your conclusions based on the output of the model building step undertaken above. Is the output what was expected? If not, why not?*\n",
        "\n",
        "*If this step involved running a new iteration of the model, you should **clear**ly and **concise**ly outline what the iteration hoped to fix, what changes were made to the model, and whether the iteration fixed the problem.*\n"
      ],
      "id": "tZjbZfFGmr6j"
    },
    {
      "cell_type": "markdown",
      "source": [
        "**Overall summary**  \n",
        "*Provide a **clear** and **concise** overall summary here of your conclusions from this section of the notebook.*"
      ],
      "metadata": {
        "id": "_ibDcn1Cmr6j"
      },
      "id": "_ibDcn1Cmr6j"
    },
    {
      "cell_type": "markdown",
      "id": "UXG_N0_eV2U7",
      "metadata": {
        "id": "UXG_N0_eV2U7"
      },
      "source": [
        "### Q3c - Calculate measures of success\n",
        "#### Purpose:\n",
        "*Provide a **clear** and **concise** statement of the purpose of this section.*\n",
        "\n",
        "#### References:\n",
        "*Outline any references you have used in this section of your notebook here.*"
      ]
    },
    {
      "cell_type": "markdown",
      "id": "mown4CzpC19E",
      "metadata": {
        "id": "mown4CzpC19E"
      },
      "source": [
        "#### Q3c Step 1\n",
        "**Outline**\n",
        "\n",
        "*Provide a **clear** and **concise** outline here about the model evaluation calculations that you have undertaken in the section below. This should include what you are doing and why.*\n"
      ]
    },
    {
      "cell_type": "code",
      "execution_count": null,
      "id": "907bd4ee-2af5-4d41-861d-2643bb9af2d0",
      "metadata": {
        "id": "907bd4ee-2af5-4d41-861d-2643bb9af2d0"
      },
      "outputs": [],
      "source": [
        "# Q3c Step 1\n"
      ]
    },
    {
      "cell_type": "markdown",
      "id": "7lUDXL7pFEVo",
      "metadata": {
        "id": "7lUDXL7pFEVo"
      },
      "source": [
        "**Summary**  \n",
        "*Provide a **clear** and **concise** summary here of conclusions from your model evaluation calculations undertaken above.*\n"
      ]
    },
    {
      "cell_type": "markdown",
      "source": [
        "#### Q3c Step 2/3/4 etc.\n",
        "**Outline**\n",
        "\n",
        "*Provide a **clear** and **concise** outline here about the model evaluation calculations that you have undertaken in the section below. This should include what you are doing and why.*"
      ],
      "metadata": {
        "id": "ilSRek8i-G7t"
      },
      "id": "ilSRek8i-G7t"
    },
    {
      "cell_type": "code",
      "source": [
        "# Q3c Step 2/3/4 etc.\n"
      ],
      "metadata": {
        "id": "MTGEy-9a-JNK"
      },
      "id": "MTGEy-9a-JNK",
      "execution_count": null,
      "outputs": []
    },
    {
      "cell_type": "markdown",
      "source": [
        "**Summary**  \n",
        "*Provide a **clear** and **concise** summary here of your conclusions based on the model evaluation calculations undertaken above.*\n"
      ],
      "metadata": {
        "id": "AaMBOXcIADNw"
      },
      "id": "AaMBOXcIADNw"
    },
    {
      "cell_type": "markdown",
      "source": [
        "**Overall summary**  \n",
        "*Provide a **clear** and **concise** overall summary here of your conclusions from this section of the notebook.*"
      ],
      "metadata": {
        "id": "WhZEdqyg_gXZ"
      },
      "id": "WhZEdqyg_gXZ"
    }
  ],
  "metadata": {
    "colab": {
      "provenance": [],
      "toc_visible": true
    },
    "kernelspec": {
      "display_name": "Python 3",
      "language": "python",
      "name": "python3"
    },
    "language_info": {
      "codemirror_mode": {
        "name": "ipython",
        "version": 3
      },
      "file_extension": ".py",
      "mimetype": "text/x-python",
      "name": "python",
      "nbconvert_exporter": "python",
      "pygments_lexer": "ipython3",
      "version": "3.8.8"
    },
    "toc-autonumbering": false,
    "toc-showmarkdowntxt": false
  },
  "nbformat": 4,
  "nbformat_minor": 5
}